## node-base64url 3.0.1

=== debian/changelog ===
node-base64url (3.0.1-9) unstable; urgency=medium

  * cleanup generated documentation;
    closes: bug#1045686, thanks to Lucas Nussbaum
  * declare compliance with Debian Policy 4.6.2
  * update source helper tool copyright-check
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Aug 2023 22:12:53 +0200

node-base64url (3.0.1-8) unstable; urgency=medium

  * fix checking test, by explicitly disabling coverage
    (enabled by default since v15 of node-tap);
    closes: bug#1008510, thanks to Julian Puydt
  * declare compliance with Debian Policy 4.6.0
  * stop depend on nodejs;
    fix have autopkgtest explicitly depend on nodejs
  * generate documentation with cmark-gfm (not pandoc);
    build-depend on cmark-gfm (not pandoc)
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not debian/master upstream)
    + add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Mar 2022 09:48:49 +0200

node-base64url (3.0.1-7) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * Update build dependencies: replace node-typescript-types by node-types-node
    (Closes: #979811)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 18:23:46 +0100

node-base64url (3.0.1-6) unstable; urgency=medium

  * really fix new autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Aug 2020 08:45:10 +0200

node-base64url (3.0.1-5) unstable; urgency=medium

  * fix copy-paste noise in new autopkgtest;
    thanks to Felix Lechner

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Aug 2020 21:37:28 +0200

node-base64url (3.0.1-4) unstable; urgency=medium

  * extend patch 1001 to also cover decode() (not only encode());
    closes: bug#964612, thanks to Lucas Nussbaum
  * use debhelper compatibility level 13 (not 12)
  * copyyright: extend coverage
  * add non-superficial autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 Jul 2020 23:34:15 +0200

node-base64url (3.0.1-3) unstable; urgency=medium

  * update watch file:
    + rewrite usage comment
    + simplify regular expressions
  * mark binary package as Multi-Arch: foreign
  * declare compliance with Debian Policy 4.5.0
  * update debhelper;
    build-depend on debhelper-compat (not debhelper)
  * extend patch 2001 to cover types below /usr/share;
    closes: bug#950092, thanks to Xavier
  * mark autopkgtest as superficial
  * add patch 1001 to fix adjust type string -> BufferEncoding;
    tighten build-dependency on node-typescript-types
  * install below /usr/share

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Feb 2020 02:02:00 +0100

node-base64url (3.0.1-2) unstable; urgency=medium

  * Add patch 2001 to fix include system shared types.
  * Adapt build to patched typescript config.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Feb 2019 08:28:46 +0100

node-base64url (3.0.1-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#921234.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Feb 2019 14:06:04 +0100
