=== debian/control ===
Source: node-base64url
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 node-tap <!nocheck>,
 node-typescript,
 node-types-node,
Standards-Version: 4.6.2
Homepage: https://github.com/brianloveswords/base64url
Vcs-Git: https://salsa.debian.org/js-team/node-base64url.git
Vcs-Browser: https://salsa.debian.org/js-team/node-base64url
Rules-Requires-Root: no

Package: node-base64url
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: conversion to and from base64url
 This Node.js library provides an interface
 to convert to and from base64url.
 .
 Base 64 Encoding with URL and Filename Safe Alphabet (base64url)
 is a string encoding scheme specified in RFC 4648.
 .
 Node.js is an event-based server-side JavaScript engine.
