=== debian/tests/control ===
Test-Command: node -e "require('base64url');"
Restrictions: superficial
Depends:
 node-base64url,
 nodejs,

Test-Command:
 sed -i -e "s,require('\.\.'),require('base64url')," test/*.test.js
 && tap --no-coverage test/*.test.js
Depends:
 node-base64url,
 node-tap,
